ONEVNET(1)

NAME
onevnet

SYNOPSIS
onevnet command [args] [options]

OPTIONS
 -c, --cluster id|name     Selects the cluster
 -l, --list x,y,z          Selects columns to display with list command
 -d, --delay x             Sets the delay in seconds for top command
 -f, --filter x,y,z        Filter data. An array is specified with
                           column=value pairs.
 -x, --xml                 Show the resource in xml format
 -n, --numeric             Do not translate user and group IDs
 -k, --kilobytes           Show units in kilobytes
 --describe                Describe list columns
 -v, --verbose             Verbose mode
 -h, --help                Show this message
 -V, --version             Show version and copyright information
 --user name               User name used to connect to OpenNebula
 --password password       Password to authenticate with OpenNebula
 --endpoint endpoint       URL of OpenNebula xmlrpc frontend

COMMANDS

•   create file Creates a new Virtual Network from the given template file valid options: cluster

•   delete range|vnetid_list Deletes the given Virtual Network

•   addleases vnetid ip [mac] Adds a lease to the Virtual Network

•   rmleases vnetid ip Removes a lease from the Virtual Network

•   hold vnetid ip Holds a Virtual Network lease, marking it as used

•   release vnetid ip Releases a Virtual Network lease on hold

•   chgrp range|vnetid_list groupid Changes the Virtual Network group

•   chown range|vnetid_list userid [groupid] Changes the Virtual Network owner and group

•   chmod range|vnetid_list octet Changes the Virtual Network permissions

•   list [filterflag] Lists Virtual Networks in the pool valid options: list, delay, filter, xml, numeric, kilobytes, describe

•   show vnetid Shows information for the given Virtual Network valid options: xml

•   update vnetid [file] Update the template contents. If a path is not provided the editor will be launched to modify the current content.

•   rename vnetid name Renames the Virtual Network

ARGUMENT FORMATS

•   file Path to a file

•   range List of id's in the form 1,8..15

•   text String

•   groupid OpenNebula GROUP name or id

•   userid OpenNebula USER name or id

•   vnetid OpenNebula VNET name or id

•   vnetid_list Comma-separated list of OpenNebula VNET names or ids

•   filterflag a, all all the known VNETs m, mine the VNET belonging to the user in ONE_AUTH g, group 'mine' plus the VNET belonging to the groups the user is member of uid VNET of the user identified by this uid user VNET of the user identified by the username

LICENSE
OpenNebula 4.0.1 Copyright 2002-2013, OpenNebula Project (OpenNebula.org), C12G Labs

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0